Upload Mega Bundle

Upload Mega Bundle
Upload mega bundle archive file

Upload a security content mega bundle archive file to security content store. After successful upload, a upload ID will be generated and returned. The status of the upload can be fetched using the ID. After the mega bundle is uploaded, the included features will be available through content APIs.

Request
URI
POST
https://{api_host}/ssp/security-content/bundles
COPY
Query Parameters
bundle_type
Required  

Type of the mega bundle being uploaded.


Request Body
File of type(s) multipart/form-data
Required  
{
    "file": "string"
}
string
file
Optional

The mega bundle archive file to upload.

Authentication
This operation uses the following authentication methods.
Responses
202

Mega bundle upload accepted for processing

Returns AsyncActivity of type(s) application/json
{
    "_create_time": 0,
    "_last_modified_time": 0,
    "id": "string",
    "display_name": "string",
    "description": "string",
    "activity_status_msg": "string",
    "_completed_at": 0
}
integer As int64 As int64
_create_time
Optional

Timestamp in milliseconds since epoch.

integer As int64 As int64
_last_modified_time
Optional

Timestamp in milliseconds since epoch.

string
id
Required   Read-Only  

Unique identifier of this activity.

string
display_name
Optional
Constraints: maxLength: 255

Display name of this activity. Defaults to ID if not set.

string
description
Optional
Constraints: maxLength: 1024

Description of this resource.

string
activity_status_msg
Read-Only  

Activity status message.

integer As int64 As int64
_completed_at
Optional

Timestamp in milliseconds since epoch.


400

Bad request - invalid file or parameters

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    ["platform-all-airgap"]
                
Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: multipart/form-data' -d '{}' https://{api_host}/ssp/security-content/bundles